Skip to main content
`Ctrl`+`K`

# TaoGetConstraintTolerances

Gets constraint tolerance parameters used in `TaoSolve()` convergence tests

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetConstraintTolerances(Tao tao, PetscReal *catol, PetscReal *crtol)

Not Collective

## Input Parameter

- tao - the `Tao` context

## Output Parameters

- catol - absolute constraint tolerance, constraint norm must be less than `catol` for used for `gatol` convergence criteria

- crtol - relative constraint tolerance, constraint norm must be less than `crtol` for used for `gatol`, `gttol` convergence criteria

## See Also

TAO: Optimization Solvers, `Tao`, `TaoConvergedReasons`,`TaoGetTolerances()`, `TaoSetTolerances()`, `TaoSetConstraintTolerances()`

## Level

intermediate

## Location

src/tao/interface/taosolver.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages